DROP DATABASE IF EXISTS `dud`;

CREATE DATABASE `dud` default character set 'utf8';

USE `dud`;

CREATE TABLE `ideas` (
  `id` int NOT NULL AUTO_INCREMENT,
  `ididea` int NOT NULL,
  `datetime` datetime NOT NULL,
  `votes` int NOT NULL,
  `author` varchar(64) NOT NULL,
  `headline` varchar(256) NOT NULL,
  `idea` text NOT NULL,
  `url` varchar(512) NOT NULL,
  PRIMARY KEY (`id`),
  INDEX (`ididea`),
  INDEX (`author`),
  INDEX (`headline`)
) default character set 'utf8';

CREATE TABLE `comments` (
  `id` int NOT NULL AUTO_INCREMENT,
  `ididea` int NOT NULL,
  `datetime` datetime NOT NULL,
  `author` varchar(64) NOT NULL,
  `comment` text NOT NULL,
  PRIMARY KEY (`id`),
  INDEX (`ididea`),
  INDEX (`author`)
) default character set 'utf8'; 
