#!/bin/bash

DBUSER=${DBUSER:-root}
DBPASSWD=${DBPASSWD:-toor}
DUDDB=${DUDDB:-dud}

COMMENT=""
AUTHOR=""
IDIDEA=0

while read line; do
	case "$line" in
		----------)
			[ -z "$AUTHOR" ] && continue
			[ -z "$COMMENT" ] && continue
			DATE="${AUTHOR:3:10} ${AUTHOR:17:5}:00"
			DATE=$(echo $DATE|sed -n -e 's/\(.\+\)\.\(.\+\)\.\(.\+\) \(.\+\)/\3\-\2\-\1 \4/p')
			AUTHOR="${AUTHOR:31}"
			AUTHOR="${AUTHOR% kommentiert}"
			AUTHOR="${AUTHOR% (Gast)}"
			AUTHOR=$(echo $AUTHOR | sed -e 's/\x27/\\\x27/g')
			COMMENT=$(echo $COMMENT | sed -e 's/\x27/\\\x27/g')
			mysql -u$DBUSER -p$DBPASSWD -D$DUDDB -e "INSERT INTO comments(ididea, datetime, author, comment) VALUES($IDIDEA, '$DATE', '$AUTHOR','$COMMENT');"
			[ $? == 0 ] || exit
			COMMENT=''
			AUTHOR=''
		;;
		am*kommentiert)
			[ -z "$COMMENT" ] && continue
			AUTHOR=$line
		;;
		IDIDEA=*)
			IDIDEA=${line#IDIDEA=}
		;;
		*)
			COMMENT="$COMMENT\n$line"
		;;
	esac	
done
