#!/bin/bash

DBUSER=${DBUSER:-root}
DBPASSWD=${DBPASSWD:-toor}
DUDDB=${DUDDB:-dud}

VOTES=0
AUTHOR=""
HEADLINE=""
DATETIME=""
URL=""
IDIDEA=0
IDEA=""

while read line; do
	case "$line" in
		----------)
			[ -z "$IDEA" ] && continue
			HEADLINE=$(echo -e "$HEADLINE" | sed -e 's/\x27/\\\x27/g')
			AUTHOR=$(echo -e "$AUTHOR" | sed -e 's/\x27/\\\x27/g')
			IDEA=$(echo -e "$IDEA" | sed -e 's/\x27/\\\x27/g')
			mysql -u$DBUSER -p$DBPASSWD -D$DUDDB -e "INSERT INTO ideas(ididea, datetime, author, headline, idea, votes, url) VALUES($IDIDEA, '$DATETIME', '$AUTHOR', '$HEADLINE', '$IDEA', $VOTES, '$URL');"
			[ $? == 0 ] || exit
			COMMENT=''
			AUTHOR=''
		;;
		VOTES=*)
			VOTES=${line#VOTES=}
		;;
		AUTHOR=*)
			AUTHOR=${line#AUTHOR=}
		;;
		HEADLINE=*)
			HEADLINE=${line#HEADLINE=}
		;;
		DATETIME=*)
			DATETIME=${line#DATETIME=}
		;;
		URL=*)
			URL=${line#URL=}
		;;
		IDIDEA=*)
			IDIDEA=${line#IDIDEA=}
		;;
		*)
			[ -z "$IDEA" ] || IDEA="$IDEA\n"
			IDEA="$IDEA$line"
		;;
	esac	
done
